RDKit: RDKit::EnumerateStereoisomers::details::StereoGroupFlipper Struct Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
RDKit::EnumerateStereoisomers::details::StereoGroupFlipper Struct Reference

`#include <Flippers.h>`

Inheritance diagram for RDKit::EnumerateStereoisomers::details::StereoGroupFlipper:

## Public Member Functions
| StereoGroupFlipper ()=delete
| StereoGroupFlipper (const StereoGroup &sg)
| StereoGroupFlipper (const StereoGroupFlipper &other)=delete
| StereoGroupFlipper (StereoGroupFlipper &&other)=delete
StereoGroupFlipper & | operator= (const StereoGroupFlipper &other)=delete
StereoGroupFlipper & | operator= (StereoGroupFlipper &&other)=delete
| ~StereoGroupFlipper () override=default
void | flip (bool flag) override
Public Member Functions inherited from RDKit::EnumerateStereoisomers::details::Flipper
| Flipper ()=default
| Flipper (const Flipper &other)=delete
| Flipper (Flipper &&other)=delete
Flipper & | operator= (const Flipper &other)=delete
Flipper & | operator= (Flipper &&other)=delete
virtual | ~Flipper ()=default

## Public Attributes
std::vector< std::pair< Atom *, Atom::ChiralType > > | d_original_parities

## Detailed Description

Definition at line 73 of file Flippers.h.

## Constructor & Destructor Documentation

## ◆ StereoGroupFlipper() [1/4]

RDKit::EnumerateStereoisomers::details::StereoGroupFlipper::StereoGroupFlipper | ( |  | ) |
| delete

Referenced by operator=(), operator=(), StereoGroupFlipper(), and StereoGroupFlipper().

## ◆ StereoGroupFlipper() [2/4]

RDKit::EnumerateStereoisomers::details::StereoGroupFlipper::StereoGroupFlipper | ( | const StereoGroup & | sg | ) |

## ◆ StereoGroupFlipper() [3/4]

RDKit::EnumerateStereoisomers::details::StereoGroupFlipper::StereoGroupFlipper | ( | const StereoGroupFlipper & | other | ) |
| delete

References StereoGroupFlipper().

## ◆ StereoGroupFlipper() [4/4]

RDKit::EnumerateStereoisomers::details::StereoGroupFlipper::StereoGroupFlipper | ( | StereoGroupFlipper && | other | ) |
| delete

References StereoGroupFlipper().

## ◆ ~StereoGroupFlipper()

RDKit::EnumerateStereoisomers::details::StereoGroupFlipper::~StereoGroupFlipper | ( |  | ) |
| overridedefault

## Member Function Documentation

## ◆ flip()

void RDKit::EnumerateStereoisomers::details::StereoGroupFlipper::flip | ( | bool | flag | ) |
| overridevirtual

Implements RDKit::EnumerateStereoisomers::details::Flipper.

## ◆ operator=() [1/2]

StereoGroupFlipper & RDKit::EnumerateStereoisomers::details::StereoGroupFlipper::operator= | ( | const StereoGroupFlipper & | other | ) |
| delete

References StereoGroupFlipper().

## ◆ operator=() [2/2]

StereoGroupFlipper & RDKit::EnumerateStereoisomers::details::StereoGroupFlipper::operator= | ( | StereoGroupFlipper && | other | ) |
| delete

References StereoGroupFlipper().

## Member Data Documentation

## ◆ d_original_parities

std::vector<std::pair<Atom *, Atom::ChiralType> > RDKit::EnumerateStereoisomers::details::StereoGroupFlipper::d_original_parities

Definition at line 85 of file Flippers.h.

The documentation for this struct was generated from the following file:

- Flippers.h